#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: idris
version: 1.2.0
id: idris-1.2.0-Ci0xqpr3KPz3ffFRHTy3Dl
key: idris-1.2.0-Ci0xqpr3KPz3ffFRHTy3Dl
license: BSD3
maintainer: Edwin Brady <eb@cs.st-andrews.ac.uk>
stability: Beta
homepage: http://www.idris-lang.org/
synopsis: Functional Programming Language with Dependent Types
description:
    Idris is a general purpose language with full dependent types.
    It is compiled, with eager evaluation.
    Dependent types allow types to be predicated on values,
    meaning that some aspects of a program'\''s behaviour can be
    specified precisely in the type. The language is closely
    related to Epigram and Agda. There is a tutorial at
    <http://www.idris-lang.org/documentation>.
    Features include:
    .
    * Full, first class, dependent types with dependent pattern matching
    .
    * where clauses, with rule, case expressions,
    pattern matching let and lambda bindings
    .
    * Interfaces (similar to type classes), monad comprehensions
    .
    * do notation, idiom brackets, syntactic conveniences for lists,
    tuples, dependent pairs
    .
    * Totality checking
    .
    * Coinductive types
    .
    * Indentation significant syntax, extensible syntax
    .
    * Cumulative universes
    .
    * Simple foreign function interface (to C)
    .
    * Hugs style interactive environment
category: Compilers/Interpreters, Dependent Types
author: Edwin Brady
exposed: True
indefinite: False
exposed-modules:
    IRTS.Bytecode IRTS.CodegenC IRTS.CodegenCommon
    IRTS.CodegenJavaScript IRTS.Compiler IRTS.Defunctionalise
    IRTS.DumpBC IRTS.Exports IRTS.Inliner IRTS.JavaScript.AST
    IRTS.JavaScript.Codegen IRTS.JavaScript.LangTransforms
    IRTS.JavaScript.Name IRTS.JavaScript.PrimOp
    IRTS.JavaScript.Specialize IRTS.Lang IRTS.LangOpts IRTS.Portable
    IRTS.Simplified IRTS.System Idris.ASTUtils Idris.AbsSyntax
    Idris.AbsSyntaxTree Idris.Apropos Idris.CaseSplit Idris.Chaser
    Idris.CmdOptions Idris.Colours Idris.Completion Idris.Core.Binary
    Idris.Core.CaseTree Idris.Core.Constraints Idris.Core.DeepSeq
    Idris.Core.Elaborate Idris.Core.Evaluate Idris.Core.Execute
    Idris.Core.ProofState Idris.Core.ProofTerm Idris.Core.TT
    Idris.Core.Typecheck Idris.Core.Unify Idris.Core.WHNF
    Idris.Coverage Idris.DSL Idris.DataOpts Idris.DeepSeq
    Idris.Delaborate Idris.Directives Idris.Docs Idris.Docstrings
    Idris.Elab.AsPat Idris.Elab.Clause Idris.Elab.Data
    Idris.Elab.Implementation Idris.Elab.Interface Idris.Elab.Provider
    Idris.Elab.Quasiquote Idris.Elab.Record Idris.Elab.Rewrite
    Idris.Elab.RunElab Idris.Elab.Term Idris.Elab.Transform
    Idris.Elab.Type Idris.Elab.Utils Idris.Elab.Value Idris.ElabDecls
    Idris.Erasure Idris.ErrReverse Idris.Error Idris.Help Idris.IBC
    Idris.IdeMode Idris.IdrisDoc Idris.Imports Idris.Info
    Idris.Info.Show Idris.Inliner Idris.Interactive Idris.Main
    Idris.ModeCommon Idris.Options Idris.Output Idris.Package
    Idris.Package.Common Idris.Package.Parser Idris.Parser
    Idris.Parser.Data Idris.Parser.Expr Idris.Parser.Helpers
    Idris.Parser.Ops Idris.Parser.Stack Idris.PartialEval
    Idris.Primitives Idris.ProofSearch Idris.Prover Idris.Providers
    Idris.REPL Idris.REPL.Browse Idris.REPL.Commands Idris.REPL.Parser
    Idris.Reflection Idris.Termination Idris.Transforms
    Idris.TypeSearch Idris.Unlit Idris.WhoCalls Util.DynamicLinker
    Util.ScreenSize Util.System
hidden-modules: Util.Pretty Util.Net Paths_idris Version_idris
                Tools_idris
abi: 4dc050dc777f614eb6cc34983a31097f
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/idris-1.2.0
library-dirs: /usr/lib/ghc-8.2.2/site-local/idris-1.2.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/idris
hs-libraries: HSidris-1.2.0-Ci0xqpr3KPz3ffFRHTy3Dl
extra-libraries:
    gmp
depends:
    base-4.10.1.0 aeson-1.2.4.0-AtrYaitd3jMG1bjpyUF0Ei
    annotated-wl-pprint-0.7.0-8APeXc1MGYdCeWTvpg0wB3
    ansi-terminal-0.7.1.1-Dkv5Hnnkl1H2BxNaCxi8q7
    ansi-wl-pprint-0.6.8.2-E1jzAtdZkw96Y4IbjE26uJ array-0.5.2.0
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be binary-0.8.5.1
    blaze-html-0.9.0.1-HqpSz28u1FiCfAogiiZCfO
    blaze-markup-0.8.2.1-Cc3m1hen7WY3VxZJEwMXDb bytestring-0.10.8.2
    cheapskate-0.1.1-3CWmxc50ovZGV1UrbQPzU7
    code-page-0.1.3-IgAXwLwH8aZ3hxp3qvXSZY containers-0.5.10.2
    deepseq-1.4.3.0 directory-1.3.0.2 filepath-1.4.1.2
    fingertree-0.1.3.1-92dhAsmjODVLvvcWIWN4Po haskeline-0.7.4.0
    ieee754-0.8.0-B9FdsnFZjDO5G55ttUSqU0
    megaparsec-6.4.1-A5pxtd6eIof75MV1xBBAkp
    mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    network-2.6.3.5-HciQ97zzdTVSLyOa0zOYp
    optparse-applicative-0.14.2.0-EglcoYfMOp85SjMyUAe4sx pretty-1.1.3.3
    process-1.6.1.0 regex-tdfa-1.2.3-48vhRVRi5RgG8cWcKB3lmL
    safe-0.3.15-EroU33EYnr02fGSZYGiX97
    split-0.2.3.3-BN2ylJ9hXZBIaY8HiUVge7
    terminal-size-0.3.2.1-Hhm9bf6iOprEc6nFG30gJq
    text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj time-1.8.0.2
    transformers-0.5.2.0 uniplate-1.6.12-9Ofd0CiU3jR379qa83hsxZ
    unordered-containers-0.2.9.0-BDwE3H9gLbqBuONTkERyOz
    utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA
    vector-binary-instances-0.2.4-9GLvtLCFX6MFM1VnkZHO1y
    zip-archive-0.3.2.4-3qIuOqPTryT53RW3f6tKPF
    fsnotify-0.2.1.1-3TnVkI0EzHvJPBH7bsjJjZ
    async-2.1.1.1-8ROwjo1yVqvF3cWHtq6DEd unix-2.7.2.2
    libffi-0.1-9BCKWMADPWqE9LZxtKazhb
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             aeson-1.2.4.0-AtrYaitd3jMG1bjpyUF0Ei=cd659b4105a2c797bfc8b13b8ea3a331
             annotated-wl-pprint-0.7.0-8APeXc1MGYdCeWTvpg0wB3=771c2426e5b31ca1c611532159e1ef8e
             ansi-terminal-0.7.1.1-Dkv5Hnnkl1H2BxNaCxi8q7=90aaa595726b3421fbff142dea995314
             ansi-wl-pprint-0.6.8.2-E1jzAtdZkw96Y4IbjE26uJ=7f339a79a1750db95a805ca35af9fdbc
             array-0.5.2.0=26dc06837667b4f45ea7fe07c114ff89
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fce7541e6cf9cbf2867cdcb0a2552fb8
             binary-0.8.5.1=efb65bc450356b9ea572733928ffb43f
             blaze-html-0.9.0.1-HqpSz28u1FiCfAogiiZCfO=5b9e50f475d80821e5ba250ac60c1064
             blaze-markup-0.8.2.1-Cc3m1hen7WY3VxZJEwMXDb=e08bcee0ef3e79aea016c4a61a6fce39
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             cheapskate-0.1.1-3CWmxc50ovZGV1UrbQPzU7=d224acd07edfc3a13096c6feefab6236
             code-page-0.1.3-IgAXwLwH8aZ3hxp3qvXSZY=5e15c1626662577c6df80accc1e8ee4f
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             deepseq-1.4.3.0=38379f7f81eed7fe046dd2a98559af2e
             directory-1.3.0.2=60cb0805ce3e0135e907efd1476a027a
             filepath-1.4.1.2=f49190c9093d895f9f159c40e7d1ff46
             fingertree-0.1.3.1-92dhAsmjODVLvvcWIWN4Po=13fdab055044027cacbbfa166b20a536
             haskeline-0.7.4.0=24b777f5b4ff8d658af854f896d5e835
             ieee754-0.8.0-B9FdsnFZjDO5G55ttUSqU0=5db827c2e22c3ea000430898b476e941
             megaparsec-6.4.1-A5pxtd6eIof75MV1xBBAkp=3f7b033c7abed9c9ace3efdf8a05e5eb
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             network-2.6.3.5-HciQ97zzdTVSLyOa0zOYp=e81ab755128c48e8082525402fc065c2
             optparse-applicative-0.14.2.0-EglcoYfMOp85SjMyUAe4sx=99d3b6185b97a50267713e5e4f714d8c
             pretty-1.1.3.3=da5c0455980712cd8d78cc4bdcee49dd
             process-1.6.1.0=df30c64bceb5deb119c7833d040aa380
             regex-tdfa-1.2.3-48vhRVRi5RgG8cWcKB3lmL=a02f2fe5079dfc41cf29eeb9a27bc378
             safe-0.3.15-EroU33EYnr02fGSZYGiX97=c20d058560be9a4b5e941a33ed437bf5
             split-0.2.3.3-BN2ylJ9hXZBIaY8HiUVge7=01757e2ec35d59898ece5a0920f0a87f
             terminal-size-0.3.2.1-Hhm9bf6iOprEc6nFG30gJq=9c2997ecb82e5f60ac6a265052a3496b
             text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj=d51c5ac73448d7d6c9cbe4dedb95457e
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             uniplate-1.6.12-9Ofd0CiU3jR379qa83hsxZ=103b3b4538a315fdeda1eff343f8c965
             unordered-containers-0.2.9.0-BDwE3H9gLbqBuONTkERyOz=9d795026e0df763f1ffeaf92b7adcdda
             utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO=e0ce70380190fd366eaf58242d407bf1
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=a99b30cfe85615e5f75a9a70e1864f51
             vector-binary-instances-0.2.4-9GLvtLCFX6MFM1VnkZHO1y=7302c31842c648c517c2305361731502
             zip-archive-0.3.2.4-3qIuOqPTryT53RW3f6tKPF=7dccec69f4da6e6e66c2288d553c2c99
             fsnotify-0.2.1.1-3TnVkI0EzHvJPBH7bsjJjZ=dd6ef044a78ae0ff436c085ec7394507
             async-2.1.1.1-8ROwjo1yVqvF3cWHtq6DEd=576b92c3ea42677785425376467cda48
             unix-2.7.2.2=1e3caa57de79efd01f1c7566785dcafa
             libffi-0.1-9BCKWMADPWqE9LZxtKazhb=77ead549066d8e9bf60750f77fa02fe5
haddock-interfaces: /usr/share/doc/idris/html/idris.haddock
haddock-html: /usr/share/doc/idris/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

